clang 8.0.0

Classes | Namespaces | Functions
CompilationDatabase.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/ArrayRef.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/Twine.h"`
`#include <memory>`
`#include <string>`
`#include <utility>`
`#include <vector>`
Include dependency graph for CompilationDatabase.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | clang::tooling::CompileCommand
| Specifies the working directory and command of a compilation. More...
class | clang::tooling::CompilationDatabase
| Interface for compilation databases. More...
class | clang::tooling::FixedCompilationDatabase
| A compilation database that returns a single compile command line. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling

## Functions
std::unique_ptr< CompilationDatabase > | clang::tooling::inferMissingCompileCommands (std::unique_ptr< CompilationDatabase >)
| Returns a wrapped CompilationDatabase that defers to the provided one, but getCompileCommands() will infer commands for unknown files. More...